Skip to content

Get Gateway Service

Endpoint: GET /api/gateway/config/services/{serviceId}

Retrieves the details of a specific gateway service.

Path parameters

Parameter Description Type Required/ Optional
serviceId The service ID of the gateway service to retrieve. You can get the service ID from the id field of the Get All Gateway Service’s output. string Required.

Response

  • Returns a 200 OK response with service details, including its id, name, path, and route metadata.
  • Returns 404 Not Found if no service exists with the given serviceId.
  • Returns 403 Forbidden if you do not have access to the service.

Examples

Get a gateway service

Request

curl -X 'GET' \
  'https://<YOUR-SERVER-URL>/api/gateway/config/services/ticket-tools' \
  -H 'accept: application/json' \
  -H 'X-Authorization: <TOKEN>'

Response

{
  "id": "ticket-tools",
  "name": "Ticket Service",
  "path": "/api/tickets",
  "description": "",
  "enabled": true,
  "createTime": 1767874354657,
  "updateTime": 1767874354657,
  "tags": [],
  "routes": [
    {
      "httpMethod": "POST",
      "path": "/create",
      "description": "",
      "serviceId": "ticket-tools",
      "mappedWorkflow": {
        "name": "create_ticket_wf",
        "version": 1,
        "requestMetadataAsInput": true
      },
      "workflowMetadataInOutput": false,
      "workflowExecutionMode": "SYNCHRONOUS",
      "waitUntilTasks": "",
      "timeoutInSeconds": 0,
      "createTime": 1767874385130,
      "updateTime": 1767874385130,
      "createdBy": "john.doe@acme.com",
      "queryParameters": [],
      "orgId": "fd7s"
    }
  ],
  "authConfigId": "rf",
  "corsConfig": {
    "accessControlAllowOrigin": [
      "*"
    ],
    "accessControlAllowMethods": [
      "GET",
      "POST",
      "PUT",
      "DELETE",
      "PATCH",
      "OPTIONS"
    ],
    "accessControlAllowHeaders": [
      "*"
    ]
  },
  "createdBy": "john.doe@acme.com",
  "mcpEnabled": true,
  "basePath": "https://fd7s.developer.orkescloud.com/api/tickets",
  "orgId": "fd7s"
}